﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.IO;

namespace viewer
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            openFileDialog1.Title = "画像を選択してください";

            // 利用できる拡張子はjpgまたはpng
            // 書式は
            //「概要」|「拡張子」
            // 拡張子は「;」で区切り複数記述できます
            openFileDialog1.Filter = "Image Files|*.jpg;*.png";

            // ダイアログを開く
            if (openFileDialog1.ShowDialog() == System.Windows.Forms.DialogResult.OK)
            {
                // using System.IO;をusing句に追加すれば「System.IO.StreamReader」ではなく「StreamReader」と記述できる
                System.IO.StreamReader stream = new System.IO.StreamReader(openFileDialog1.FileName);

                // Streamからビットマップ画像を表示するためのBitmapクラスを生成する
                Bitmap bitmap = new Bitmap(stream.BaseStream);

                // PictureBoxコントロールにBitmapクラスを指定する
                pictureBox1.Image = bitmap;

                // 最後にStreamを閉じる
                stream.Close();
            }
        }
    }
}
