﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.IO;

namespace viewer
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            if (folderBrowserDialog1.ShowDialog() == DialogResult.OK)
            {
                var path = folderBrowserDialog1.SelectedPath;

                // 選択したフォルダーのファイル一覧を取得する
                string[] files = System.IO.Directory.GetFiles(path);

                // ファイル一覧から繰り返し処理でファイルを取り出す
                foreach(string file in files)
                {
                    // string型のIndexOfメソッドは引数で与えた値が存在する場所(何番目の文字か)を返す
                    // 値が存在しない場合は-1を返す
                    if (file.IndexOf(".jpg") >= 0 || file.IndexOf(".png") >= 0)
                    {
                        // ListBoxに追加する
                        listBox1.Items.Add(file);
                    }
                }
            }
        }

        private void listBox1_SelectedIndexChanged(object sender, EventArgs e)
        {
            // ListBoxのSelectedItemフィールドから選択されている文字列を取得できる
            // SelectedItemはobject型なのでstring型にキャストする
            string path = (string)listBox1.SelectedItem;

            // パスが求められれば以降は前回同様に画像を表示する処理を行う
            System.IO.StreamReader stream = new System.IO.StreamReader(path);

            Bitmap bitmap = new Bitmap(stream.BaseStream);

            pictureBox1.Image = bitmap;

            stream.Close();
        }
    }
}
